Содержание

Технические требования

Для установки b2evolution вам будет необходим сервер, если вы еще не определились с выбором сервера, то можете ознакомиться со списком рекоммендуемых хостинг-компаний, которые предоставят вам возможность автоматической установки b2evolution.
Если у вас уже есть сервер, вам необходимо убедиться в том, что он соответствует следующим требованиям...

  • PHP версия 4.3 и выше, скачать (PHP 5 полностью поддерживается начиная с версии b2evolution 1.6)
  • MySQL версия 3.23 и выше, скачать (MySQL версий 4.х и 5.х полностью поддерживаются начиная с версии b2evolution 1.6)

Вы можете установить b2evolution в уже существующую базу данных, а также можете установить несколько копий b2evolution в одну базу данных.

Хостинг

Учтите, что некоторые хостинг-компании намеренно ограничивают возможности PHP, удаляя такие функции как доступ к файлам, сокеты, загрузку файлов на сервер, отправку Email и др.

На таких хостингах некоторые возможности b2evolution работать не будут, также может быть что система вообще не запустится. Если вы столкнулись именно с таким провайдером - выберите из списка рекоммендуемых...

PHP

Начиная с версии b2evolution 1.8, системе требуется больше 8Mb PHP памяти (memory_limit). Таким образом мы рекоммендуем изменить значение "memory_limit" в файле php.ini на 16Mb или на 32Mb. Этого также можно добиться, добавив в файл /conf/_basic_config.php следующую строку
ini_set('memory_limit', '16M');

Для работы XML-RPC функций и XHTML валидатора требуется установленный PHP XML модуль.

Примечание: если PHP работает в безопасном режиме (safe mode, то добавление функции в файл /conf/_basic_config.php ничего не изменит

Браузеры

Панель управления использует CSS для разметки и отображения, поэтому со старыми и экспериментальными браузерами могут возникнуть проблемы.

b2evolution уверенно работает на следующих браузерах:

  • Firefox 1.0+
  • Internet Explorer 6.0+
  • Konqueror 3.5+

И работает не корректно на следующих:

  • Mozilla 1.2
  • Netscape 4